# Receipts Model

This model represents all the required data for receipt handlind once the transaction is approved.

There are 3 possible options available for the POS/E-Commerce platform:

1. Sensepass generate the receipt using the [#receipt-info-entity](#receipt-info-entity "mention") model, the receipt will be presented to the consumer and to saved in SensePass Merchant dashboard
2. POS generates the receipt and will send it to SensePass on transaction approved, the receipt will be presented to the consumer and to saved in SensePass Merchant dashboard
3. No receipt handling is required

Multiple options can be selected in the same location and merchant, these options are in the transaction level.

### Receipt Model

This model is referenced in "receipt" field of [Create a transaction](/sensepay/transaction-api/payment-flows/create-a-transaction.md#creating-new-transaction) request body

<table><thead><tr><th width="212.9871382636656">field</th><th width="111.16318436735071">type</th><th width="384.2">description</th></tr></thead><tbody><tr><td>mode</td><td>number</td><td><code>1 (GenerateReceipt)</code> = generates a receipt using the given configuration.<br><code>2 (POSProvidesReceipt)</code> = pos is responsible to send the receipts to the provided endpoint after the transation/'s creation.<br><code>3 (NoReceipt)</code> = does not generate any receipt.<br><code>null/undefined</code> = a null/undefined value will default the receipt configuration from its branch definition.</td></tr><tr><td>accountingProvider</td><td>number</td><td>accounting service provider for the receipts to be processed, required if mode is "1" (GenerateReceipt), "2" (POSProvidesReceipt) or a null value.<br><code>1 (Rivhit)</code><br><code>2 (ICount)</code><br><code>3 (QuickBook)</code><br><code>4 (SensePass)</code><br><code>5 (Priority)</code></td></tr><tr><td>receiptInfo</td><td>object</td><td>See receipt info object entity: <a data-mention href="#receipt-info-entity">#receipt-info-entity</a></td></tr></tbody></table>

### Receipt Info Model

Receipt info model is referenced in "receiptInfo" field of [#receipt-entity](#receipt-entity "mention")

<table><thead><tr><th width="212.9871382636656">field</th><th width="193.1631843673507">type</th><th width="384.2">description</th></tr></thead><tbody><tr><td>customerId</td><td>string</td><td>example: 123456789</td></tr><tr><td>firstName</td><td>string</td><td>example: John</td></tr><tr><td>lastName</td><td>string</td><td>example: Doe</td></tr><tr><td>address</td><td>string</td><td>example: 144 Begin Dw</td></tr><tr><td>city</td><td>string</td><td>example: Tel Aviv</td></tr><tr><td>zipCode</td><td>string</td><td>example: 90745</td></tr><tr><td>socialID</td><td>string</td><td>example: 123456789</td></tr><tr><td>phoneNumber</td><td>string</td><td>example: 2124567890</td></tr><tr><td>languageCode</td><td>string</td><td>[ he, en, ru ]</td></tr><tr><td>currencyCode</td><td>string</td><td>[ ILS, USD, EUR, RUB ]</td></tr><tr><td>email</td><td>string</td><td>example: john@doe.com</td></tr><tr><td>discount</td><td>number</td><td>example: 0</td></tr><tr><td>vat</td><td>boolean</td><td>example: true</td></tr></tbody></table>

### Receipt Notifications Model

This model represents the recipients that will receive receipt by email and SMS.

Receipt notifications model is referenced in "receiptNotifications" field of [Create a transaction](/sensepay/transaction-api/payment-flows/create-a-transaction.md#creating-a-new-transaction-object-payment-request) request body

<table><thead><tr><th width="212.9871382636656">field</th><th width="302.1631843673507">type</th><th width="384.2">description</th></tr></thead><tbody><tr><td>email</td><td>array</td><td><p>example: </p><pre class="language-json"><code class="lang-json">["a@example.com"]
</code></pre></td></tr><tr><td>sms</td><td>array</td><td><p>example: </p><pre class="language-json"><code class="lang-json">["9295522135"]
</code></pre></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sensepass.com/sensepay/transaction-api/models/receipts-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
